Public Class frmVowelWords

  Private Sub btnDetermine_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDetermine.Click
    Dim word As String
    word = txtWord.Text.ToUpper
    If IsVowelWord(word) Then
      txtOutput.Text = word & " contains every vowel."
    Else
      txtOutput.Text = word & " does not contain every vowel."
    End If
  End Sub

  Function IsVowelWord(ByVal word As String) As Boolean
    If word.IndexOf("A") = -1 Then
      Return False
    End If
    If word.IndexOf("E") = -1 Then
      Return False
    End If
    If word.IndexOf("I") = -1 Then
      Return False
    End If
    If word.IndexOf("O") = -1 Then
      Return False
    End If
    If word.IndexOf("U") = -1 Then
      Return False
    End If
    Return True     'All vowels are present.
  End Function

End Class
